/*
 *  Copyright 1995 Science Applications International Corporation.
 */


#ifndef _MUC_GLOBALS_H_
#define _MUC_GLOBALS_H_  1

#ifdef SCCSID
static char GlobalsSccsId[] = "@(#)muc_globals.h	6.1\t09/08/97\tSAIC";
#endif

extern  TABLE   *MUC_Catalog;
extern  TABLE   *MUC_Class_defs;
extern  TABLE   *MUC_Summary_Class_scores;
extern  Tallies *MUC_Total_Slot_tallies;
extern  Tallies *MUC_Total_Text_Filtering;
extern	char	*MUC_configuration_filename;

extern	TABLE	*MUC_Options;
extern  TABLE   *MUC_ne_subtask_tallies;
extern  TABLE   *MUC_ne_doc_section_tallies;
extern  TABLE   *MUC_dsg_tallies;

extern char MUC_key_or_response;
extern char MUC_task;
extern char MUC_method;
extern char MUC_stringfill_correct_comparison;
extern char MUC_stringfill_partial_comparison;

extern long MUC_cur_lineno;
extern long MUC_cur_text_charno;
extern long MUC_cur_task_charno;

extern FILE *MUC_map_history_file;
extern FILE *MUC_partition_file;
extern FILE *MUC_score_report_file;
extern FILE *MUC_report_summary_file;

extern char *MUC_map_history_filename;
extern char *MUC_partition_filename;
extern char *MUC_score_report_filename;
extern char *MUC_report_summary_filename;
extern char *MUC_report_field_separator;

extern long MUC_recall_numerator;
extern long MUC_recall_denominator;
extern long MUC_precision_numerator;
extern long MUC_precision_denominator;

extern long MUC_total_key_eqclasses;
extern long MUC_total_response_eqclasses;

#endif	/* _MUC_GLOBALS_H_ */
