/*
 *  Copyright 1995 Science Applications International Corporation.
 */

/*
 * FILE 
 *      @(#)massage_TE.c	6.1\t09/08/97
 *
 * SYNOPSIS
 *
 *
 * DESCRIPTION
 *	functions to preprocess TE data before alignment/scoring
 *
 * DIAGNOSTICS
 *
 *
 * FILES
 *
 *
 * NOTES
 * 
 * SEE ALSO
 *
 * AUTHOR
 */

#ifdef SCCSID
static char SccsId[] = "@(#)massage_TE.c	6.1\t09/08/97\tSAIC";
#endif

#undef SCCSID
#include  "muc_defs.h"
#include  "muc.h"
#include  "muc_protos.h"
#include  "muc_globals.h"

static void mark_implicit_TE_optionals_entry(Catalog_entry *entry);
static void mark_implicit_TE_optionals_classes(TABLE *classes);
static void mark_implicit_TE_optionals_insts(TABLE *insts);
static void mark_implicit_TE_optionals_slots(Inst *inst, TABLE *slots);
static void mark_implicit_TE_optionals_mfils(Inst *inst, TABLE *mfils);
static void mark_implicit_TE_optionals_sfils(Inst *inst, TABLE *sfils);

/********
 ********
 ********
 */

void
massage_TE_entry(Catalog_entry *entry)
{
	make_clean_stringfills_entry(entry);
	check_status_slots_in_entry(entry);
}
